List charges

Retrieves a list of subscription charges.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Returns

Returns a list of all subscription charge objects that correspond to the specified filters, and returns an error otherwise.

{
  "object": "list",
  "data": [
    {
      "object": "subscription_charge",
      "id": "8144dea5-b2af-4615-b7df-dcfd43edc498",
      "external_id": "charge_1",
      "amount": 1000,
      "currency": "EUR",
      "subscription_id": "d6c50974-70c7-49f8-b50c-797bcefbdeb1",
      "status": "succeeded",
      "metadata": {
        "invoice_id": "April_2024",
        "invoice_due_date": "2024-04-01T17:28:33.689374Z"
      },
      "store_id": "d41aaaf9-4cbb-4025-b128-da19396cf1dd",
      "created_at": "2024-04-01T17:28:33.689374Z",
      "paid_at": "2024-04-01T17:20:32.689474Z"
    }
  ]
}
Query Params
string

Filter for subscription charges that belong to this store.

string

Filter for subscription charges that have this external ID.

string

Filter for subscription charges that belong to this subscription ID.

Language
LoadingLoading…